### Method

# Clapper Player seek

#### Declaration [src]

    void
    clapper_player_seek (
      ClapperPlayer* player,
      gdouble position
    )

#### Description [src]

Request the player to perform a seek operation.

This function will use `CLAPPER_PLAYER_SEEK_METHOD_NORMAL` as a seeking method. If you wish to specify what method to use per seeking request, use `clapper_player_seek_custom()` instead.

Note that seeking requests are per selected media item. Seeking requests will be ignored if player is stopped. You need to at least call `clapper_player_pause()` before seeking and then your requested seek will be handled if item could be played.

#### Parameters

`position`

  Type: `gdouble`

  A decimal number with position to seek to (in seconds).